/* 
BAJRAMOVIC KEMAL
Zadatak2:
Izlistati sve predmete sa odsjeka TK i prosjecne ocjene predmeta 
na tom odsjeku sortirane od manje ka vecoj.
 */

drop table student;
drop table predmet;
drop table odsjek;
drop table ispiti;
drop table upisan;
drop view pogled1;
drop view pogled2;

create table student(
id integer,
ime char(40),
unique (id));

create table predmet (
id integer,
naziv char(40),
unique(id));	

create table odsjek(
id integer,
naziv char(40),
unique(id));

create table ispiti(
id_student integer,
id_predmet integer,
ocjena integer,
datum date,
unique(id_predmet, id_student));

create table upisan(
id_studenta integer,
id_odsjeka integer,
datum_upisa date,
unique(id_studenta,id_odsjeka));

insert into upisan values (11232,10,to_date('12\09\1996','dd/mm/yyyy'));
insert into upisan values (11233,40,to_date('15\09\1996','dd/mm/yyyy'));
insert into upisan values (11234,20,to_date('20\09\1996','dd/mm/yyyy'));
insert into upisan values (11235,30,to_date('01\10\1997','dd/mm/yyyy'));
insert into upisan values (11236,20,to_date('13\09\1997','dd/mm/yyyy'));
insert into upisan values (11237,40,to_date('16\09\1997','dd/mm/yyyy'));
insert into upisan values (11238,20,to_date('22\09\1997','dd/mm/yyyy'));
insert into upisan values (11239,30,to_date('18\09\1998','dd/mm/yyyy'));
insert into upisan values (11240,10,to_date('23\09\1998','dd/mm/yyyy'));
insert into upisan values (11241,20,to_date('19\09\1999','dd/mm/yyyy'));

insert into student values (11232, 'Osmanovic Rijad');
insert into student values (11233, 'Bajramovic Kemal');
insert into student values (11234, 'Fazlic Nesim');
insert into student values (11235, 'Dervisevic Fehim');
insert into student values (11236, 'Cobo Jasmin');
insert into student values (11237, 'Buza Emir');
insert into student values (11238, 'Dzananovic Almir');
insert into student values (11239, 'Krajinic Azem');
insert into student values (11240, 'Ljuca Selma');
insert into student values (11241, 'Avdibegovic Dzenan');

insert into predmet values (1, 'Uvod u matematiku');
insert into predmet values (2, 'Matematika 1');
insert into predmet values (3, 'Osnovi elektrotehnike');
insert into predmet values (4, 'Osnovi racunarstva');
insert into predmet values (5, 'Fizika');
insert into predmet values (6, 'Osnovi elektronike');
insert into predmet values (7, 'Matematika 2-RI');
insert into predmet values (8, 'Elektronika-RI');
insert into predmet values (9, 'Programiranje i programski jezici');
insert into predmet values (10, 'Engleski 1');
insert into predmet values (11, 'Algoritmi');
insert into predmet values (12, 'Teorija sistema');
insert into predmet values (13, 'Matematika 2');
insert into predmet values (14, 'Matematika 3');
insert into predmet values (15, 'Teorija elektricnih kola ');
insert into predmet values (16, 'Elektronika');
insert into predmet values (17, 'Digitalni racunari I');
insert into predmet values (18, 'Teorija magnetnih polja');
insert into predmet values (19, 'Impulsna elektronika');
insert into predmet values (20, 'Dinamika fluida');

insert into odsjek values (10, 'Energetika');
insert into odsjek values (20, 'Automatika i elektonika');
insert into odsjek values (30, 'Telekomunikacije');
insert into odsjek values (40, 'Informatika');

insert into ispiti values(11233, 1, 6, to_date('19\06\1997','dd/mm/yyyy'));
insert into ispiti values(11233, 2, 10, to_date('25\06\1997','dd/mm/yyyy'));
insert into ispiti values(11233, 3, 9,to_date('18\07\1997','dd/mm/yyyy'));
insert into ispiti values(11233, 4, 10,to_date('21\01\1998','dd/mm/yyyy'));
insert into ispiti values(11233, 5, 7,to_date('05\04\1998','dd/mm/yyyy'));
insert into ispiti values(11233, 6, 9,to_date('11\03\1998','dd/mm/yyyy')); 
insert into ispiti values(11233, 10, 9, to_date('19\06\1998','dd/mm/yyyy'));
insert into ispiti values(11233, 11, 8, to_date('19\06\1999','dd/mm/yyyy'));
insert into ispiti values(11233, 7, 8, to_date('29\06\1999','dd/mm/yyyy'));
insert into ispiti values(11233, 12, 8, to_date('12\07\1999','dd/mm/yyyy'));
insert into ispiti values(11233, 8, 8, to_date('09\09\1999','dd/mm/yyyy'));
insert into ispiti values(11235, 1, 6, to_date('1\04\1998','dd/mm/yyyy'));
insert into ispiti values(11235, 6, 7, to_date('15\06\1998','dd/mm/yyyy'));
insert into ispiti values(11235, 2, 9, to_date('16\06\1998','dd/mm/yyyy'));
insert into ispiti values(11235, 3, 8, to_date('21\06\1998','dd/mm/yyyy'));
insert into ispiti values(11235, 4, 7, to_date('22\06\1998','dd/mm/yyyy'));
insert into ispiti values(11235, 5, 7, to_date('10\07\1998','dd/mm/yyyy'));
insert into ispiti values(11235, 9, 8, to_date('12\02\1999','dd/mm/yyyy'));
insert into ispiti values(11235, 10, 8, to_date('19\02\1999','dd/mm/yyyy'));
insert into ispiti values(11235, 15, 8, to_date('18\06\1999','dd/mm/yyyy'));
insert into ispiti values(11235, 17, 9, to_date('22\06\1999','dd/mm/yyyy'));
insert into ispiti values(11239, 1, 6, to_date('12\06\1999','dd/mm/yyyy'));
insert into ispiti values(11239, 3, 7, to_date('19\06\1999','dd/mm/yyyy'));
insert into ispiti values(11239, 5, 7, to_date('26\06\1999','dd/mm/yyyy'));
insert into ispiti values(11236, 4, 8, to_date('07\06\1998','dd/mm/yyyy'));
insert into ispiti values(11236, 1, 8, to_date('08\06\1998','dd/mm/yyyy'));
insert into ispiti values(11236, 2, 7, to_date('19\07\1998','dd/mm/yyyy'));
insert into ispiti values(11236, 3, 7, to_date('20\07\1998','dd/mm/yyyy'));
insert into ispiti values(11236, 6, 8, to_date('31\01\1999','dd/mm/yyyy'));
insert into ispiti values(11236, 5, 9, to_date('02\02\1998','dd/mm/yyyy'));
insert into ispiti values(11236, 20, 9, to_date('04\02\1998','dd/mm/yyyy'));
insert into ispiti values(11236, 16, 7, to_date('14\03\1999','dd/mm/yyyy'));
insert into ispiti values(11236, 13,7, to_date('14\07\1999','dd/mm/yyyy'));
insert into ispiti values(11240, 6, 9, to_date('10\06\1997','dd/mm/yyyy'));
insert into ispiti values(11240, 1, 9, to_date('23\06\1997','dd/mm/yyyy'));
insert into ispiti values(11240, 2, 8, to_date('24\06\1997','dd/mm/yyyy'));
insert into ispiti values(11240, 3, 8, to_date('11\09\1997','dd/mm/yyyy'));
insert into ispiti values(11240, 5, 7, to_date('19\09\1997','dd/mm/yyyy'));
insert into ispiti values(11240, 4, 7, to_date('24\09\1997','dd/mm/yyyy'));
insert into ispiti values(11240, 13, 8, to_date('22\01\1998','dd/mm/yyyy'));
insert into ispiti values(11240, 18, 8, to_date('26\02\1998','dd/mm/yyyy'));
insert into ispiti values(11240, 10, 9, to_date('13\06\1998','dd/mm/yyyy'));
insert into ispiti values(11237, 1, 6, to_date('12\02\1998','dd/mm/yyyy'));
insert into ispiti values(11237, 2, 10, to_date('25\06\1998','dd/mm/yyyy'));
insert into ispiti values(11237, 3, 9,to_date('18\07\1998','dd/mm/yyyy'));
insert into ispiti values(11237, 4, 10,to_date('21\01\1999','dd/mm/yyyy'));
insert into ispiti values(11237, 5, 7, to_date('05\04\1999','dd/mm/yyyy'));
insert into ispiti values(11237, 6, 9, to_date('11\03\1999','dd/mm/yyyy')); 
insert into ispiti values(11237, 7, 9, to_date('19\09\1999','dd/mm/yyyy'));
insert into ispiti values(11237, 8, 8, to_date('10\10\1999','dd/mm/yyyy'));
insert into ispiti values(11238, 1, 8, to_date('08\02\1998','dd/mm/yyyy'));
insert into ispiti values(11238, 3, 7, to_date('27\05\1998','dd/mm/yyyy'));
insert into ispiti values(11238, 6, 8, to_date('14\06\1998','dd/mm/yyyy'));
insert into ispiti values(11238, 5, 9, to_date('18\06\1998','dd/mm/yyyy'));
insert into ispiti values(11238, 4, 9, to_date('10\07\1998','dd/mm/yyyy'));
insert into ispiti values(11238, 2, 7, to_date('14\02\1999','dd/mm/yyyy'));
insert into ispiti values(11238, 13, 6, to_date('17\03\1999','dd/mm/yyyy'));
insert into ispiti values(11238, 20, 7, to_date('21\06\1999','dd/mm/yyyy'));
insert into ispiti values(11232, 6, 8, to_date('22\09\1999','dd/mm/yyyy'));
insert into ispiti values(11234, 1, 6, to_date('19\06\1997','dd/mm/yyyy'));
insert into ispiti values(11234, 2, 7, to_date('25\06\1997','dd/mm/yyyy'));
insert into ispiti values(11234, 3, 7,to_date('30\06\1997','dd/mm/yyyy'));
insert into ispiti values(11234, 4, 8,to_date('21\01\1998','dd/mm/yyyy'));
insert into ispiti values(11234, 5, 7,to_date('05\03\1998','dd/mm/yyyy'));
insert into ispiti values(11234, 6, 9,to_date('11\07\1999','dd/mm/yyyy')); 
insert into ispiti values(11234, 15, 9, to_date('19\09\1999','dd/mm/yyyy'));
insert into ispiti values(11234, 20, 8, to_date('29\09\1999','dd/mm/yyyy'));



create view pogled1 as select distinct p.id,p.naziv
  from odsjek o, upisan u,predmet p,ispiti i
  where o.naziv='Telekomunikacije'and
        o.id=u.id_odsjeka and
        u.id_studenta=i.id_student and
        p.id=i.id_predmet;

create view pogled2 as select avg(ocjena) prosjek,id_predmet
from ispiti group by id_predmet;

select distinct naziv,prosjek from pogled1,pogled2 where id=id_predmet order by prosjek;
